.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2.5rem;

  &__logo {
    // $font-primary-color
    @include font($primary-font, 1.5rem, var(--primary-font-color));
    text-transform: uppercase;

    &-link {
      @include reset-link;
      text-align: left;
    }

    &-wrapper {
      width: 20%;
    }
  }

  &__navigation {
    .navigation {
      &__list {
        @include reset-list;
        display: flex;
      }

      &__link {
        @include reset-link;
        @include font($primary-font, 1.125rem, var(--primary-font-color));
        padding: 0.5rem 2.5rem;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        cursor: pointer;

        &:after {
          content: '';
          @include size(0, 1px);
          transition: width 0.3s ease;
          margin-top: 0.3rem;
        }

        &.router-link-active:after {
          width: 100%;
          background-color: var(--primary-font-color);
          transition: width 0.3s ease;
        }
      }
    }
  }

  &__contact {
    display: block;

    text-decoration: none;
    @include font($primary-font, 1.125rem, var(--primary-font-color), 200);
    text-align: right;

    &-wrapper {
      width: 20%;
    }
  }
}

// TABLET
@include tablet {
  .header {
    padding: 1rem 2rem;

    &__navigation {
      .navigation {
        &__link,
        &__contect,
        &__logo {
          font-size: 1rem;
        }

        &__link {
          padding: 0.25rem 2.5rem;
        }
      }
    }
  }
}

// PHONE

@include phone {
  .header {
    flex-wrap: wrap;
    padding: 1rem 1.5rem 0;

    &__navigation {
      width: 100%;
      order: 1;
      border-top: 1px solid #f2f2f2;

      .navigation {
        &__list {
          justify-content: center;
        }

        &__link {
          font-size: 0.875rem;
          padding: 1rem 1.5rem;
        }
      }
    }

    &__logo {
      margin-bottom: 1rem;
      font-size: 0.875rem;

      &-wrapper {
        width: auto;
      }
    }

    &__contact {
      font-size: 0.875rem;
      &-wrapper {
        width: auto;
      }
    }
  }
}
